export default {
    colorScheme: {
        light: {
            header: {
                background: '{surface.0}',
                borderColor: '{surface.200}',
                color: '{surface.700}'
            },
            headerCell: {
                background: '{surface.0}',
                hoverBackground: '{surface.100}',
                borderColor: '{surface.200}',
                color: '{surface.700}',
                hoverColor: '{surface.800}'
            },
            row: {
                background: '{surface.0}',
                stripedBackground: '{surface.50}',
                hoverBackground: '{surface.100}',
                color: '{surface.700}',
                hoverColor: '{surface.800}'
            },
            bodyCell: {
                borderColor: '{surface.200}',
                selectedBorderColor: '{primary.100}'
            },
            footerCell: {
                background: '{surface.0}',
                borderColor: '{surface.200}',
                color: '{surface.700}'
            },
            footer: {
                background: '{surface.0}',
                borderColor: '{surface.200}',
                color: '{surface.700}'
            },
            dropPointColor: '{primary.color}',
            resizerColor: '{primary.color}',
            sortIcon: {
                color: '{surface.500}',
                hoverColor: '{surface.600}'
            },
            rowAction: {
                hoverBackground: '{surface.100}',
                highlightHoverBackground: '{surface.0}',
                color: '{surface.500}',
                hoverColor: '{surface.500}'
            },
            filter: {
                menuButton: {
                    hoverBackground: '{surface.100}',
                    openBackground: '{surface.100}',
                    activeBackground: '{highlight.background}',
                    color: '{surface.500}',
                    openColor: '{surface.500}',
                    hoverColor: '{surface.600}',
                    activeColor: '{highlight.color}'
                },
                clearButton: {
                    hoverBackground: '{surface.100}',
                    color: '{surface.500}',
                    hoverColor: '{surface.600}'
                },
                overlay: {
                    background: '{surface.0}',
                    borderColor: '{surface.200}',
                    color: '{surface.700}'
                },
                constraint: {
                    borderColor: '{surface.200}'
                },
                matchmodeItem: {
                    focusBackground: '{surface.100}',
                    selectedBackground: '{highlight.background}',
                    color: '{surface.700}',
                    focusColor: '{surface.800}',
                    selectedColor: '{highlight.color}',
                    separator: {
                        borderColor: '{surface.200}'
                    }
                }
            }
        },
        dark: {
            header: {
                background: '{surface.900}',
                borderColor: '{surface.800}',
                color: '{surface.0}'
            },
            headerCell: {
                background: '{surface.900}',
                hoverBackground: '{surface.800}',
                borderColor: '{surface.800}',
                color: '{surface.0}',
                hoverColor: '{surface.0}'
            },
            row: {
                background: '{surface.900}',
                stripedBackground: '{surface.950}',
                hoverBackground: '{surface.800}',
                color: '{surface.0}',
                hoverColor: '{surface.0}'
            },
            bodyCell: {
                borderColor: '{surface.800}',
                selectedBorderColor: '{primary.900}'
            },
            footerCell: {
                background: '{surface.900}',
                borderColor: '{surface.800}',
                color: '{surface.0}'
            },
            footer: {
                background: '{surface.900}',
                borderColor: '{surface.800}',
                color: '{surface.0}'
            },
            dropPointColor: '{primary.color}',
            resizerColor: '{primary.color}',
            sortIcon: {
                color: '{surface.400}',
                hoverColor: '{surface.300}'
            },
            rowAction: {
                hoverBackground: '{surface.800}',
                highlightHoverBackground: '{surface.900}',
                color: '{surface.400}',
                hoverColor: '{surface.300}'
            },
            filter: {
                menuButton: {
                    hoverBackground: '{surface.800}',
                    openBackground: '{surface.800}',
                    activeBackground: '{highlight.background}',
                    color: '{surface.400}',
                    openColor: '{surface.300}',
                    hoverColor: '{surface.300}',
                    activeColor: '{highlight.color}'
                },
                clearButton: {
                    hoverBackground: '{surface.800}',
                    color: '{surface.400}',
                    hoverColor: '{surface.300}'
                },
                overlay: {
                    background: '{surface.900}',
                    borderColor: '{surface.700}',
                    color: '{surface.0}'
                },
                constraint: {
                    borderColor: '{surface.700}'
                },
                matchmodeItem: {
                    focusBackground: '{surface.800}',
                    selectedBackground: '{highlight.background}',
                    color: '{surface.0}',
                    focusColor: '{surface.0}',
                    selectedColor: '{highlight.color}',
                    separator: {
                        borderColor: '{surface.700}'
                    }
                }
            }
        }
    }
};
